<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        class Studenti {
            name = "";
            id = "";
            constructor(name,id){
            this.name = name;
            this.id = id;
        }
        getStudentiName(){
            return this.name;
        }
        getStudentiId(){
            return this.id;
        }
        getStudentiInformation(){
            var student = this;
            return student.name + " e ka kete id: " + this.id;
        }
     }
     var studentEron = new Studenti("Eron Tahiri", "202151464");
     console.log(studentEron.getStudentiName());
     console.log(studentEron.getStudentiId());
     console.log(studentEron.getStudentiInformation());

     class Ekipi{
         ekipi = {};
         constructor(ekipi) {
         this.ekipi = ekipi;
        }
        getTeamInformation(){
            return (
             this.ekipi.name + "-" + this.ekipi.country + "-" this.ekipi.league
                );
        }
        canPlayInPlayoffs(){
            return this.ekipi.ranking <= 16;
        }
        getTeamPointGuard(){
            return this.ekipi.players.filter(
                (element)=> element.position === "point guard"
            );
        }
     }
     var ekipiLosAngelesLakers = new Ekipi({
         name: "LosAngelesLakers",
         country: "America",
         league: "NBA"
         players: [
            {
                name: "LeBron James",
                teamNumber: 23,
                position: "point guard",
         },
         {
                name: "Markieff Morris",
                teamNumber: 88,
                position: "power forward",
         },
         {
                name: "Wesley Matthews",
                teamNumber: 9,
                position: "Shooting guard",
         },
         {
                name: "Jared Dudley",
                teamNumber: 10,
                position: "power forward",
         },
         {
                name: "Kyle Kuzma",
                teamNumber: 0,
                position: "power forward",
         },
        ],
        ranking: 2,
     });
     console.log (ekipiLosAngelesLakers.getTeamInformation());
     console.log (ekipiLosAngelesLakers.canPlayInPlayoffs());
     console.log (ekipiLosAngelesLakers.getTeamPointGuard());
    </script>
</body>
</html>